opi installieren

Hinweis: In dem Thema opi installieren gibt es 7 Antworten. Der letzte Beitrag () befindet sich ganz unten auf dieser Seite.
  • Hallo,

    ich wollte opi ausprobieren. Da es in den Standard Repositories (einschließlich Packman) nicht vorkommt,

    habe ich bei opensuse gesucht und unter

    opi aus Projekt openSUSE:Leap:15.2

    Code
    gefunden:zypper addrepo https://download.opensuse.org/repositories/openSUSE:Leap:15.2/standard/openSUSE:Leap:15.2.repo
    zypper refresh
    zypper install opi

    die Ausführung des ersten Befehls ergibt aber

    Code
    zypper addrepo https://download.opensuse.org/repositories/openSUSE:Leap:15.2/standard/openSUSE:Leap:15.2.repo
    Datei '/repositories/openSUSE:Leap:15.2/standard/openSUSE:Leap:15.2.repo' auf Medium 'https://download.opensuse.org/' nicht gefunden
    Abbrechen, wiederholen, ignorieren? [a/w/i/...? zeigt alle Optionen] (a):

    Was mache ich da falsch?

    Danke für einen Hinweis.

    Grüße w.w.

  • Code
    zypper addrepo https://download.opensuse.org/repositories/openSUSE:Leap:15.2/standard/openSUSE:Leap:15.2.repo
    Datei '/repositories/openSUSE:Leap:15.2/standard/openSUSE:Leap:15.2.repo' auf Medium 'https://download.opensuse.org/' n

    Wenn ich so etwas als Fehler bekomme, dann versuche ich zuerst, ob es die Datei gibt, also das letztmögliche Verzeichnis im Browser aufrufen:

    https://download.opensuse.org/…nSUSE:Leap:15.2/standard/

    Und siehe da, das standard Verzeichnis verlinkt auf das OSS Verzeichnis und dort gibt es die Datei openSUSE:Leap:15.2.repo nicht.


    Aber opi ist im OSS Repo:

    Code
    zypper in opi
  • Code
    gefunden:zypper addrepo https://download.opensuse.org/repositories/openSUSE:Leap:15.2/standard/openSUSE:Leap:15.2.repo
    zypper refresh
    zypper install opi

    die Ausführung des ersten Befehls ergibt aber

    Code
    zypper addrepo https://download.opensuse.org/repositories/openSUSE:Leap:15.2/standard/openSUSE:Leap:15.2.repo
    Datei '/repositories/openSUSE:Leap:15.2/standard/openSUSE:Leap:15.2.repo' auf Medium 'https://download.opensuse.org/' nicht gefunden
    Abbrechen, wiederholen, ignorieren? [a/w/i/...? zeigt alle Optionen] (a):

    Was mache ich da falsch?

    Danke für einen Hinweis.

    Grüße w.w.

    Es fehlt ein Leeerzeichen zwischen „/openSUSE:Leap:15.2/standard/“ und „openSUSE:Leap:15.2.repo“.


    Sauerland hat das Wichtigste schon erwähnt (opi ist im Standard-/ OSS-Repo, https://download.opensuse.org/…nSUSE:Leap:15.2/standard/ ist mit OSS identisch, eine Weiterleitung darauf) und wenn du es bei dir nicht findest, dann solltest du die Ausgaben von

    Code
    zypper lr -d

    und

    Code
    zypper se -s --match-exact opi

    hier vorführen.

    2 Mal editiert, zuletzt von tomfa-ng ()

    Für den Inhalt des Beitrages 283578 haftet ausdrücklich der jeweilige Autor: tomfa-ng

  • Es fehlt ein Leeerzeichen zwischen „/openSUSE:Leap:15.2/standard/“ und „openSUSE:Leap:15.2.repo“.

    Das wäre aber eine blöde Bezeichnung eines Repos......

    Ich schätze mal, da gab es einen Befehl zur Installation mittels einer Repo-Datei, die aber nicht vorhanden ist....


    Ist aber:

    Glauben ist nicht wissen.

  • Das wäre aber eine blöde Bezeichnung eines Repos......

    Ja, wäre es und ich habe auch wieder missverständlich geschrieben. Wäre auch gut zu erfahren, woher wonder.wishes diese komplett fehlerhafte Anleitung hat

    Für den Inhalt des Beitrages 283581 haftet ausdrücklich der jeweilige Autor: tomfa-ng

  • Entschuldigung für die späte Antwort, es ging nicht anders.

    Und gleich nochmal für meine Frage.

    Ich habe auf zwei Rechnern parallel gearbeited und nicht daran gedacht

    dass einer noch auf Version 15.1 läuft und dort gibt zwar ein opie aber kein opi.

    Herzlichen Dank für die Links, ich kannte sie nicht.

    Die Quelle für die offensichtlich falsche Anleitung ist:

    https://software.opensuse.org/…ct=openSUSE%3ALeap%3A15.2

    und Das Repository hinzufügen und manuell installieren wählen

    Viele Grüße w.w.

  • Die Quelle für die offensichtlich falsche Anleitung ist:

    https://software.opensuse.org/…ct=openSUSE%3ALeap%3A15.2

    und Das Repository hinzufügen und manuell installieren wählen

    Dann hast du nichts falsch gemacht, dort ist ein falscher Installationsbefehl für das Repo.......

    Siehe tomfa-ngs und meine Auslassungen....